# bubblesMultiSeries

#### new bubblesMultiSeries(selection)

Constructor

Source:
  - component/bubblesMultiSeries.js, line 94

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - component/bubblesMultiSeries.js, line 217

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - component/bubblesMultiSeries.js, line 181

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/bubblesMultiSeries.js, line 133

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) on() → {*}

Dispatch On Getter

Source:
  - component/bubblesMultiSeries.js, line 228

##### Returns:

Type:
  `*`

#### (static) sizeRange(_v) → {*}

Size Range Getter / Setter

Source:
  - component/bubblesMultiSeries.js, line 205

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array.<number>` | Size min and max (e.g. [0.5, 3.0]).

##### Returns:

Type:
  `*`

#### (static) sizeScale(_v) → {*}

Size Scale Getter / Setter

Source:
  - component/bubblesMultiSeries.js, line 193

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 size scale.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/bubblesMultiSeries.js, line 145

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 Scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/bubblesMultiSeries.js, line 157

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/bubblesMultiSeries.js, line 169

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 Scale.

##### Returns:

Type:
  `*`